import numpy as np
from knn import distance_matrix
from knn import knn_predict
from knn import evaluate_knn
from read_cifar import read_cifar_batch
                            
(data,labels)=read_cifar_batch(r"C:\Intel\Desktop\DeepLearning\image-classification\data\cifar-10-batches-py\data_batch_1")                                
(data_test,labels_test)=read_cifar_batch(r"C:\Intel\Desktop\DeepLearning\image-classification\data\cifar-10-batches-py\test_batch")

#Unittest

assert distance_matrix(data,data_test).shape == (data.shape[0],data_test.shape[0]) 
assert knn_predict(data,labels,2).shape == labels.shape
assert 0 < evaluate_knn(data,labels,data_test,labels_test,5) < 1
