import numpy as np
from read_cifar import read_cifar_batch
from read_cifar import read_cifar
from read_cifar import split_dataset

batch_path = r"C:\Intel\Desktop\DeepLearning\image-classification\data\cifar-10-batches-py\data_batch_1"
data_path = r"C:\Intel\Desktop\DeepLearning\image-classification\data\cifar-10-batches-py"
(data,labels)=read_cifar_batch(batch_path)
(alldata,alllabels)=read_cifar(data_path)
image = np.random.randrange(25000)
pixel = np.random.randrange(3071)

#Unittest

assert data.shape == (10000,3072) 
assert labels.shape == (10000,)
assert alldata.shape == (60000,3072) 
assert alllabels.shape == (60000,) 
assert split_dataset(alldata,alllabels,0.5)[0].shape == (30000,3072) 
assert split_dataset(alldata,alllabels,0.5)[0][image][pixel] != split_dataset(alldata,alllabels,0.5)[0][image][pixel] 
